Skip to content
Справочник APIPlatformPlatform billing

Update_platform_dunning_policy

Эта страница пока доступна только на английском языке. Руководства переведены; автоматически генерируемый справочник API публикуется на английском.

PATCH
/platform/v1/billing/dunning-policy

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Wire-shape mirror used as the PATCH body — directly serializes into a [DunningPolicy] so the form editor can round-trip without a separate "update" struct.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/platform/v1/billing/dunning-policy" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111" \  -H "Content-Type: application/json" \  -d '{    "grace_period_seconds": 0,    "max_attempts": 0,    "retry_schedule_seconds": [      0    ],    "terminal_action": "suspend"  }'
{  "is_default": true,  "policy": {    "error_class_overrides": {      "property1": "string",      "property2": "string"    },    "grace_period_seconds": 0,    "max_attempts": 0,    "retention_offer": null,    "retry_schedule_seconds": [      0    ],    "terminal_action": "suspend"  },  "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",  "updated_at": "2019-08-24T14:15:22Z",  "updated_by_user_id": "ebd80dab-1c74-4ac7-b2f2-ca10e60fae77"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}